
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>前端性能优化-gzip / 憋错料</title>

    <meta name="description" content="前端性能优化-gzip 为什么要开启GZIP 我们需要下载一个100KB的Javascript文件,正常的下载量就是100KB,如果我们把文件在服务端压缩一下,压缩成30kb,下载到客户端再进行解压,这样就减少了大量的HTTP的传输时间,这就是GZIP的作用. 如何开启服务器的GZIP 我们以windows版的Apache2.4为例,打开httpd.conf文件,因为开启GZIP需要mod_deflate.so,所以首先把解注mod_deflate.so,然后增加下面的配置项: #开启GZIP &lt;IfModule ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">前端性能优化-gzip</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>为什么要开启GZIP</strong></p>
<p>我们需要下载一个100KB的Javascript文件，正常的下载量就是100KB，如果我们把文件在服务端压缩一下，压缩成30kb，下载到客户端再进行解压，这样就减少了大量的HTTP的传输时间，这就是GZIP的作用。</p>
<p><strong>如何开启服务器的GZIP</strong></p>
<p>我们以windows版的Apache2.4为例，打开httpd.conf文件，因为开启GZIP需要mod_deflate.so，所以首先把解注mod_deflate.so，然后增加下面的配置项：</p>
<p>#开启GZIP</p>
<p><img src="/img/fz.gif"></p>
<pre>&lt;IfModule mod_deflate.c&gt;
   SetOutputFilter DEFLATE
   # example of how to compress ONLY html, plain text and xml
   # AddOutputFilterByType DEFLATE text/plain text/html text/xml
   # Don‘t compress binaries
   SetEnvIfNoCase Request_URI .(?:exe|t?gz|zip|iso|tar|bz2|sit|rar) no-gzip dont-vary
   # Don‘t compress images
   SetEnvIfNoCase Request_URI .(?:gif|jpe?g|jpg|ico|png)  no-gzip dont-vary
   # Don‘t compress PDFs
   SetEnvIfNoCase Request_URI .pdf no-gzip dont-vary
   # Don‘t compress flash files (only relevant if you host your own videos)
   SetEnvIfNoCase Request_URI .flv no-gzip dont-vary
   # Netscape 4.X has some problems
   BrowserMatch ^Mozilla/4 gzip-only-text/html
   # Netscape 4.06-4.08 have some more problems
   BrowserMatch ^Mozilla/4.0[678] no-gzip
   # MSIE masquerades as Netscape, but it is fine
   BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
   # Make sure proxies don‘t deliver the wrong content
   Header append Vary User-Agent env=!dont-vary
   # Setup custom deflate log
   DeflateFilterNote Input instr
   DeflateFilterNote Output outstr
   DeflateFilterNote Ratio ratio
   LogFormat ‘"%r" %{outstr}n/%{instr}n %{ratio}n%%‘ DEFLATE
   CustomLog logs/deflate_log DEFLATE
&lt;/IfModule&gt;</pre>
<p><img src="/img/fz.gif"></p>
<p>重启Apache，配置生效！</p>
<p><strong>对比测试</strong></p>
<p>我们以jquery-1.7.1.js为例，在不开启GZIP和开启GZIP下的文件大小进行对比</p>
<p>1.开启GZIP，文件传输大小为32.7KB</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzcwNDQxNC8yMDE2MDIvNzA0NDE0LTIwMTYwMjE0MTgxMDExMjQ3LTcyMTQ3MTExOS5wbmc=.jpg"></p>
<p>2.未开启GZIP，文件的传输大小为92.0KB，即文件的实际大小</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzcwNDQxNC8yMDE2MDIvNzA0NDE0LTIwMTYwMjE0MTgxMDEyNTEzLTE5NTgwNjAwMjEucG5n.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 16:53:14 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/alt/" title="alt">alt</a>, <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/conf/" title="conf">conf</a>, <a href="https://www.biecuoliao.com/tag/src/" title="src">src</a>, <a href="https://www.biecuoliao.com/tag/efi/" title="efi">efi</a>, <a href="https://www.biecuoliao.com/tag/file/" title="file">file</a>, <a href="https://www.biecuoliao.com/tag/iso/" title="iso">iso</a>, <a href="https://www.biecuoliao.com/tag/pdf/" title="pdf">pdf</a>, <a href="https://www.biecuoliao.com/tag/bz2/" title="bz2">bz2</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>前端性能优化-gzip的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n3ZABL0.html" rel="bookmark">web前端性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:  在同样的网络环境下,两个同样能满足你的需求的网站,一个“Duang”的一下就加载出来了,一个纠结了半天才出来,你会选择哪个?研究表明:用户最满意的打开网页时间是2-5秒,如果等待超过10秒,99%的用户会关闭这个网页.也许这样讲,各位还不会有太多感触,接下来我列举一组数据:Google网站访问速度每慢400ms就导致用户搜索请 求下降0.59%;Amazon每增加100ms网站延迟将导致收入下降1%;雅虎如果有400ms延迟会导致流量下降5-9%.网站的加载速度严重影响了用户体验,也决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMg1P83.html" rel="bookmark">CSS3与页面布局学习总结（八）&mdash;&mdash;浏览器兼容与前端性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 一.浏览器兼容 1.1.概要 1.2.浏览器内核 1.3.浏览器市场份额(Browser Market Share) 1.4.兼容的一般标准 1.5.CSS Reset 1.6.CSS Hack 1.6.1.条件注释法 1.6.2.样式内属性标记法 1.6.3.选择器前缀法 1.7.文档模式 (X-UA-Compatible) 1.8.javascript兼容 二.前端性能优化 2.1.概要 2.2.减少HTTP请求数量 2.2.1.图片地图 2.2.2.精灵图片(Sprite) 2.2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JDQYn0.html" rel="bookmark">新产品为了效果，做的比较炫，用了很多的图片和JS，所以前端的性能是很大的问题，分篇记录前端性能优化的一些小经验。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一篇:HTTP服务器 因tomcat处理静态资源的速度比较慢,所以首先想到的就是把所有静态资源(JS,CSS,image,swf) 提到单独的服务器,用更加快速的HTTP服务器,这里选择了nginx了,nginx相比apache,更加轻量级, 配置更加简单,而且nginx不仅仅是高性能的HTTP服务器,还是高性能的反向代理服务器. 目前很多大型网站都使用了nginx,新浪.网易.QQ等都使用了nginx,说明nginx的稳定性和性能还是非常不错的. 1. nginx 安装(linux) htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmGgPD3.html" rel="bookmark">前端性能优化归纳总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于前端性能优化的总结,随处都可以看到这方面的文章,而优化方法,也无外乎那些&quot;固定&quot;方面,当然,有些方面已经过时,所以,在这里,我自己也总结一遍吧,加深理解,也希望是一种不同的总结形式. -----------------------正文总这里开始------------------------------------ 一.什么是前端性能优化(what)? 从用户访问资源到资源完整的展现在用户面前的过程中,通过技术手段和优化策略,缩短每个步骤的处理时间从而提升整个资源的访问和呈现速度.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38Nla1M.html" rel="bookmark">前端性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前端性能优化的方法? content方面 1,减少HTTP请求:合并文件.CSS精灵.inline Image 2,减少DNS查询:DNS查询完成之前浏览器不能从这个主机下载任何任何文件.方法:DNS缓存.将资源分布到恰当数量的主机名,平衡并行下载和DNS查询 3,避免重定向:多余的中间访问 4,使Ajax可缓存 5,非必须组件延迟加载 6,未来所需组件预加载 7,减少DOM元素数量 8,将资源放到不同的域下:浏览器同时从一个域下载资源的数目有限,增加域可以提高并行下载量 9,减少iframe数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Oan6oM.html" rel="bookmark">2017前端性能优化清单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://github.com/Findow-team/Blog/issues/11?utm_source=tuicool&amp;utm_medium=referral 2017前端性能优化清单 你开始使用渐进启动了么?是不是已经使用过React和Angular中tree-shaking和code-splitting两个工具?有没有用过Brotli.Zofli和HPACK这几种压缩技术,或者OCSP协议(在线证书状态协议)?知不知道资源提醒,客户端提醒和CSS containment一类的技术?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d52pn3.html" rel="bookmark">前端性能优化的14个规则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一个半前端工程师,而且只会写点HTML5和CSS3的“假”前端工程师,为了能更好地理解一下前端的花花世界,最近拜读了&lt;高性能网站建设指南&gt;一书,对作者提出的前端性能优化的14个规则获益匪浅,为了让自己印象更深刻点,决定作此文,当做学习笔记也好,知识总结也罢,总归看过的东西要让自己很好地掌握很好地运用起来才是王道.在解读这些规则的同时,我会用我一年半多的移动网站开发经历提出一些针对移动网站的优化建议. 规则01:尽量减少HTTP请求前端优化的黄金准则指导着前端页面的优化策略:只有10%-20			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg5wq83.html" rel="bookmark">关于web前端性能优化问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好久没有来博客写随笔了,可能是懒了吧,哈哈, 最近很想整理一篇关于前端性能优化的问题,毕竟能提高网站的观赏性对吧.提升网站性能,提升用户体验 那 什么是web性能优化? 可以这么理解:从用户访问资源到资源完整的展现在用户面前的过程中,通过技术手段和优化策略,缩短每个步骤的处理时间从而提升整个资源的访问和呈现速度. 那么怎么才能提高web性能优化呢? 可以从这几个方面考虑:   1.减少HTTP请求 首先,每个请求都是有成本的,既包含时间成本也包含资源成本.一个完整的请求都需要经过 DNS寻址.与			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBR2XYM.html" rel="bookmark">前端性能优化 - 资源预加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转帖: https://css-tricks.com/prefetching-preloading-prebrowsing 当提到前端性能优化时,我们首先会联想到文件的合并.压缩,文件缓存和开启服务器端的 gzip 压缩等,这使得页面加载更快,用户可以尽快使用我们的 Web 应用来达到他们的目标. 资源预加载是另一个性能优化技术,我们可以使用该技术来预先告知浏览器某些资源可能在将来会被使用到. 引用 Patrick Hamann 的解释: 预加载是浏览器对将来可能被使用资源的一种暗示,一些资源可			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5Kml0.html" rel="bookmark" class="title">隐匿性乙肝病毒感染：一种秘密行动</a>
					<div>
						Journal of Viral Hepatitis Occult Hepatitis B Virus Infection: A Covert Operation F. B. Hollinger, G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/My51ajM.html" rel="bookmark" class="title">spring boot 入门篇</a>
					<div>
						什么是spring boot Spring Boot是由Pivotal团队提供的全新框架,其设计目的是用来简化新Spring应用的初始搭建以及开发过程.该框架使用了特定的方式来进行配置,从而使开发人员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWwdELM.html" rel="bookmark" class="title">tar备份Linux</a>
					<div>
						su#cd / #tar -cvpzf backup.tgz --exclude=/proc --exclude=/mnt --exclude=/sys --exclude=/backup.tgz / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXWQX3.html" rel="bookmark" class="title">ajax三级联动</a>
					<div>
						不得不说的trim(),我的机器写出来的文件接收data时一定要去除空格…没有去写有参数的方法,因为找错就费了大量的时间,所以相对别人而言trim()于我可能真真的就此记住了 html代码 &lt;! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vvVqa3.html" rel="bookmark" class="title">给UITableView的侧滑删除增加多个按钮</a>
					<div>
						一. 需求: cell的侧滑删除默认只有一个删除按钮, 给侧滑添加多个按钮, '删除', '置顶', '更多'. 二. 实现说明: 1) 我们在使用一些应用的时候,在滑动一些联系人的某一行的时候,会出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPd6B1M.html" rel="bookmark" class="title">Request To JavaBean&lpar;请求对象转换为JavaBean对象&rpar;</a>
					<div>
						一 参考资料 1 http://jc-dreaming.iteye.com/blog/563893 2 http://www.iteye.com/topic/76043 3 http://xubind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG8Aay0.html" rel="bookmark" class="title">uva1315 Crazy tea party（找规律）</a>
					<div>
						题意就是说把顺时针排的1到n换成逆时针排的需要的最少交换步数. 如果是线形的一串数,需要的交换次数就是个冒泡排序的交换次数:n*(n-1)/2,或者用a[i]=(i-1)+a[i-1]推出来. 对于环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGpDPM.html" rel="bookmark" class="title">Shell中取时间格式方法</a>
					<div>
						Shell中取时间格式方法2007-09-13 15:35常用date的显示格式: date +%F //2007-03-06date +%Y%m%d//20070306 date +%T //23: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lKVE0.html" rel="bookmark" class="title">pushState  onpopstate</a>
					<div>
						参考MDN: https://developer.mozilla.org/zh-CN/docs/DOM/Manipulating_the_browser_history https://develop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQznX0.html" rel="bookmark" class="title">Python gevent学习笔记</a>
					<div>
						gevent是Python的一个用于网络IO的函数库,其中应用到了 coroutine(协同程序) 的思想.首先来了解下目前网络框架的几种基本的网络I/O模型: 阻塞式单线程:这是最基本的I/O模型, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKEBY3.html" rel="bookmark" class="title">06&lowbar;MyBatis&comma;Spring&comma;SpringMVC整合</a>
					<div>
						﻿﻿ 项目结构 Spring的配置: beans.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;be ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moxq6D0.html" rel="bookmark" class="title">ubuntu16下编译android源码需要的依赖库</a>
					<div>
						sudo apt-get install -y git flex bison gperf build-essential libncurses5-dev:i386 sudo apt-get insta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qq1EB4.html" rel="bookmark" class="title">Codeforces AIM Tech Round3</a>
					<div>
						打得最烂一场Codeforces,多次都错题,无限WA... A题: 题意:给定n个橘子的大小,大小超过b的丢掉,不足d的补充进来,同时超过d的部分去掉,问要去掉几次 分析:直接模拟即可 1 #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41oD5X0.html" rel="bookmark" class="title">rpm，yum</a>
					<div>
						rpm安装和卸载 mount /dev/cdrom  /mnt/ cd /mnt/ cd Packages/ ls   会列出rpm rpm包:如tree-1.5.3-2.e16.i686.rpm(t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqEZLM.html" rel="bookmark" class="title">在linux&plus;eclipse&plus;maven环境下调试Hbase服务源码，启动Hmaster</a>
					<div>
						由于论文工作,想在regionserver的ipcserver和hregionserver等类进行修改源码的工作. 所以我需要在我的虚拟机中,我的虚拟机环境是32位centos中安装eclipse,调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeJzB0.html" rel="bookmark" class="title">ffmpeg重要的参考学习网址</a>
					<div>
						http://lib.csdn.net/liveplay/knowledge/1586 FFmpeg滤镜使用指南 http://blog.csdn.net/fireroll/article/detai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjwYy0.html" rel="bookmark" class="title">我就试试</a>
					<div>
						if 1 == 1 or 1 &gt; 2 and 1 == 4: print('正确') else: print('错误') 1 if 1 == 1 or 1 &gt; 2 and 1 == 4:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDPZZ0.html" rel="bookmark" class="title">一个前端程序猿的Sublime Text3的自我修养</a>
					<div>
						来源于:http://guowenfh.github.io/2015/12/26/SublimeText/ 详细设置 &amp;&amp; 20+插件 本文章会在本人有插件或者设置更新时,进行不定时更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0agzqn4.html" rel="bookmark" class="title">Sping--集合注入</a>
					<div>
						UserDAOImpl.java: package com.bjsxt.dao.impl; import java.util.List; import java.util.Map; import ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBDanZ3.html" rel="bookmark" class="title">Ticket Lock&comma; CLH Lock&comma; MCS Lock</a>
					<div>
						如果不用OS提供的mutex,我们该如何实现互斥锁? 1. naive lock 最简单的想法是,搞一个volatile类型的共享变量flag,值可以是0(无锁)或者1(有锁),竞争线程监听flag, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
